# $Id: maildrop.spec,v 1.5 2001/04/23 17:37:19 alainc Exp $
#
# Copyright 1998 - 2000 Double Precision, Inc.  See COPYING for
# distribution information.

Summary: maildrop mail filter/mail delivery agent
Name: maildrop
Version: 1.0
Release: 1
Copyright: GPL
Group: Applications/Mail
Source: http://www.flounder.net/~mrsam/maildrop/maildrop-1.0.tar.gz
Packager: Sam Varshavchik <mrsam@geocities.com>
BuildRoot: /tmp/maildrop-build

#
#  For compatibility's sake, everything goes into /usr/local
#

%define	_prefix		/usr/local

#
# Duplicate the directory setup in configure.in:
#

%define	_maildropdir	%{_libdir}/maildrop
%define	_maildropbindir	%{_maildropdir}/bin
%define	_mandir	%{_maildropdir}/man

%description

Maildrop is a combination mail filter/mail delivery agent.
Maildrop reads the message to be delivered to your mailbox,
optionally reads instructions from a file how filter incoming
mail, then based on these instructions may deliver mail to an
alternate mailbox, or forward it, instead of dropping the
message into your mailbox.

Maildrop uses a structured, real, meta-programming language in
order to define filtering instructions.  Its basic features are
fast and efficient.  At sites which carry a light load, the
more advanced, CPU-demanding, features can be used to build
very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000
mailboxes.

Sample mail filtering recipes as well as complete documentation
is provided in both HTML and man page format.

Maildrop mailing list -- http://maildropl.listbot.com

This version is compiled with support for GDBM database files,
maildir enhancements (folders+quotas), and userdb.
%prep
%setup
%configure --enable-userdb --enable-maildirquota --enable-syslog=1 --enable-trusted-users='root mail daemon postmaster qmaild mmdf' --enable-restrict-trusted=0 --enable-sendmail=/usr/sbin/sendmail

%build
make
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT MAILDROPUID='' MAILDROPGID=''

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cat >$RPM_BUILD_ROOT/etc/profile.d/maildrop.sh <<EOF
#!/bin/sh

if echo "\$MANPATH" | tr ':' '\012' | fgrep -qx %{_mandir}
then
        :
else
        MANPATH="%{_mandir}:\$MANPATH"
        export MANPATH
fi

(
test -d \$HOME/.tmp && cd \$HOME/.tmp && \
find . ! -path . -depth -mtime +7 \( \( \
    -type d -exec rmdir {} \; \) -o -exec rm -f {} \; \) 2>/dev/null
)
EOF

cat >$RPM_BUILD_ROOT/etc/profile.d/maildrop.csh <<EOF
#!/bin/csh

echo "\$MANPATH" | tr ':' '\012' | fgrep -qx %{_mandir}

if ( \$? ) then
        true
else
        if ( \$?MANPATH ) then
          true
        else
          setenv MANPATH ""
        endif
        setenv MANPATH "%{_mandir}:\$MANPATH"
endif

( \
test -d \$HOME/.tmp && cd \$HOME/.tmp && \
find . ! -path . -depth -mtime +7 \( \( \
    -type d -exec rmdir {} \; \) -o -exec rm -f {} \; \) >&/dev/null \
)
EOF
find $RPM_BUILD_ROOT%{_mandir} ! -type d -print | perl -e '
 while (<>)
  {
    $f=$_;  
    chop $f;
    next if $f =~ /\.gz$/;
    if (-l $f)
    {
        $f2=readlink($f);
        unlink($f);
        symlink "$f2.gz", "$f.gz";
    }
    else
    {
        system("gzip <$f >$f.gz");
        unlink($f);
    }
 } '

mkdir htmldoc
cp $RPM_BUILD_ROOT%{_maildropdir}/html/* htmldoc

%files
%defattr(-, bin, bin)
%attr(555, bin, bin) /etc/profile.d/maildrop.sh
%attr(555, bin, bin) /etc/profile.d/maildrop.csh
%{_bindir}/*
%dir %{_maildropdir}
%{_mandir}
%doc htmldoc/*

%dir %{_maildropbindir}
%attr(6555, root, mail) %{_maildropbindir}/maildrop
%attr(6555, root, mail) %{_maildropbindir}/dotlock
%{_maildropbindir}/maildirmake
%{_maildropbindir}/deliverquota
%{_maildropbindir}/makedat
%{_maildropbindir}/makedatprog
%{_maildropbindir}/makeuserdb
%{_maildropbindir}/pw2userdb
%{_maildropbindir}/userdb
%{_maildropbindir}/userdbpw
%{_maildropbindir}/reformail
%{_maildropbindir}/reformime

%doc maildir/README.maildirquota.html maildir/README.maildirquota.txt
%doc COPYING README README.postfix INSTALL NEWS UPGRADE ChangeLog maildroptips.txt

%clean
rm -rf $RPM_BUILD_ROOT
